AddVRouterRouteEntry
AddVRouterRouteEntry
/zstack/v1/vrouter-route-tables/{routeTableUuid}/route-entriesOperation ID
AddVRouterRouteEntrySince
2.1Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
routeTableUuidStringRequiredThe vRouter route table UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
descriptionStringOptional. The detailed description of the resource.
typeStringOptional. The type. You can add two types of routes: static route and black hole route. The system will automatically determine the type by judging whether to enter the next hop.
destinationStringRequiredThe destination network address, in CIDR format. If you enter a non-standard CIDR, note that the system will automatically transform it to the standard CIDR format.
targetStringOptional. The next hop address. The IP address that can be accessed directly by vRouter VM instances. If the IP address cannot be accessed directly, the route recursion will be triggered.
distanceIntegerOptional. The route priority. In the minimum match mode, if multiple route rules are available, the rule with the lowest integer has the highest priority to be matched.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
